## org.omg.CORBA
Class TRANSACTION_UNAVAILABLEHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TRANSACTION_UNAVAILABLEHelper

public class TRANSACTION_UNAVAILABLEHelper
extends java.lang.Object

Helper class for : TRANSACTION_UNAVAILABLE

Author:
  OpenORB Compiler

Constructor Summary
`TRANSACTION_UNAVAILABLEHelper()`

Method Summary
`static TRANSACTION_UNAVAILABLE` `extract(Any a)` Extract TRANSACTION_UNAVAILABLE from an any
`static java.lang.String` `id()` Return the TRANSACTION_UNAVAILABLE IDL ID
`static void` `insert(Any a, TRANSACTION_UNAVAILABLE t)` Insert TRANSACTION_UNAVAILABLE into an any
`static TRANSACTION_UNAVAILABLE` `read(InputStream istream)` Read TRANSACTION_UNAVAILABLE from a marshalled stream
`static TypeCode` `type()` Return the TRANSACTION_UNAVAILABLE TypeCode
`static void` `write(OutputStream ostream, TRANSACTION_UNAVAILABLE value)` Write TRANSACTION_UNAVAILABLE into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TRANSACTION_UNAVAILABLEHelper

    public TRANSACTION_UNAVAILABLEHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TRANSACTION_UNAVAILABLE t)

  Insert TRANSACTION_UNAVAILABLE into an any
  Parameters:
    `a` - an any
    `t` - TRANSACTION_UNAVAILABLE value

### extract

    public static TRANSACTION_UNAVAILABLE extract(Any a)

  Extract TRANSACTION_UNAVAILABLE from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TRANSACTION_UNAVAILABLE value

### type

    public static TypeCode type()

  Return the TRANSACTION_UNAVAILABLE TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TRANSACTION_UNAVAILABLE IDL ID
  Returns:
    an ID

### read

    public static TRANSACTION_UNAVAILABLE read(InputStream istream)

  Read TRANSACTION_UNAVAILABLE from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TRANSACTION_UNAVAILABLE value

### write

    public static void write(OutputStream ostream,
                             TRANSACTION_UNAVAILABLE value)

  Write TRANSACTION_UNAVAILABLE into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TRANSACTION_UNAVAILABLE value